sendVerificationEmail
POST
/send-verification-email
const url = 'https://gymgym.club/api/auth/send-verification-email';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"email":"user@example.com","callbackURL":"https://example.com/callback"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gymgym.club/api/auth/send-verification-email \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "email": "user@example.com", "callbackURL": "https://example.com/callback" }'Send a verification email to the user
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
email
required
The email to send the verification email to
string
Example
user@example.comcallbackURL
The URL to use for email verification callback
string
Example
https://example.com/callbackResponses
Section titled “Responses”Success
Media typeapplication/json
object
status
Indicates if the email was sent successfully
boolean
Example
{ "status": true}Bad Request
Media typeapplication/json
object
message
Error message
string
Example
{ "message": "Verification email isn't enabled"}Unauthorized. Due to missing or invalid authentication.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Forbidden. You do not have permission to access this resource or to perform this action.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Not Found. The requested resource was not found.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Too Many Requests. You have exceeded the rate limit. Try again later.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Internal Server Error. This is a problem with the server that you cannot fix.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}